#!/bin/bash

#This script does a diff of the check sum files
# that were on the USB disk and those generated from
# the files copied to the work directory.
#
#David Welsh
#April 27, 2005

#Set the path
export PATH=$HOME/bin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin

dirpath=/data/search

echo Diff for cksum.hsrl cksum_work.hsrl
diff "$dirpath"/cksum.hsrl "$dirpath"/cksum_work.hsrl

echo Diff for cksum.mwrad cksum_work.mwrad
diff "$dirpath"/cksum.mwrad "$dirpath"/cksum_work.mwrad

echo Diff for cksum.mom cksum_work.mom
diff "$dirpath"/cksum.mom "$dirpath"/cksum_work.mom

echo Diff for cksum.spc cksum_work.spc
diff "$dirpath"/cksum.spc "$dirpath"/cksum_work.spc
