#!/bin/bash

#This script gets date for each data type
#and copies the file(s) into the *work* directory tree.

#David Welsh
#June 7, 2005

#Set the path
export PATH=$HOME/bin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin

echo "  Start GetData.bash `date -u`"

cd $HOME

echo "    "getting data for radiometer
#smb mount the radiometer
#if smbmount //mwr-dm/outgoing /samba -o credentials=/home/dataman/bin/samba.credentials; then
#  cd /samba
#  if havefiles csv; then
    #for f in *.csv
    #do
    # if cp "$f" $HOME/search/work/mwrad; then
    #   rm "$f"
    # fi
    #done
#  fi
#  cd $HOME
#  smbumount /samba
#fi

echo "    "getting data for cloud radar
#smb mount the cloud radar
if smbmount //mmcr-dm/ARM /samba -o credentials=/home/dataman/bin/samba.credentials; then
  cd /samba
  if havefiles MMCRMom; then
    for f in *MMCRMom*
    do
     if cp "$f" $HOME/search/work/mmcr/mom; then
       rm "$f"
     fi
    done
  fi
  if havefiles CalTable; then
    for f in *CalTable*
    do
     if cp "$f" $HOME/search/work/mmcr/mom; then
       rm "$f"
     fi
    done
  fi
  if havefiles txt; then
    for f in *.txt
    do
     if cp "$f" $HOME/search/work/mmcr/mom; then
       rm "$f"
     fi
    done
  fi
  if havefiles MMCRSpec; then
    for f in *MMCRSpec*
    do
     if cp "$f" $HOME/search/work/mmcr/spc; then
       rm "$f"
     fi
    done
  fi
  cd $HOME
  smbumount /samba
fi

#nfs auto mount the hsrl system
echo "    "Getting data for ahsrl
if cd /home/dataman/search/ahsrlmount; then
  if havefiles ahsrl; then
    for f in ahsrl*
    do
     if cp "$f" $HOME/search/work/hsrl; then
       rm -f "$f"
     fi
    done
  fi
fi

echo "  Stop GetData.bash `date -u`"
