#!/bin/bash

#This script creates the search directory tree on
# the USB removable drives.
#
#David Welsh
#May 31, 2005

#Set the path
export PATH=$HOME/bin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin

#Make sure one directory path is sent to the script
if [ $# = 1 ]; then

#get the USB disk mount point sent in
diskpath=$1

  mkdir "$diskpath"/search
  mkdir "$diskpath"/search/hsrl
  mkdir "$diskpath"/search/mwrad
  mkdir "$diskpath"/search/mmcr
  mkdir "$diskpath"/search/mmcr/mom
  mkdir "$diskpath"/search/mmcr/spc
  mkdir "$diskpath"/search/qc
  mkdir "$diskpath"/search/qc/quicklooks
  mkdir "$diskpath"/search/qc/summary

else
  echo Usage: MakeDirs.bash dir
  exit 1
fi
