#!/bin/bash

#This script generates new date file names for each data type
#and then copies the file into the *work* directory tree.

#This script will be replace by the script that goes to
#each instrument computer and places the data into the *work* tree

#Set the path
export PATH=$HOME/bin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin

echo "  Start ZipMom.bash `date -u`"

#Check that USB disk is mounted.
#If it is then procede
#Else exit with error code

cd $HOME/search/work.mmcr/mom

for f in *MMCRMom.nc
do
  zip $f
done

echo "  Stop ZipMom.bash `date -u`"
